summaryrefslogtreecommitdiffstats
path: root/test/name-test/run-test-systemserver.sh
diff options
context:
space:
mode:
authorColin Walters <walters@verbum.org>2008-12-09 09:15:06 -0500
committerColin Walters <walters@verbum.org>2008-12-09 10:17:36 -0500
commitd899734475f09068dfa410c91e126e1442b0325e (patch)
tree1ac7dc768f0d22dcb3770b06edeac85b1a728b64 /test/name-test/run-test-systemserver.sh
parent5cd3e9ca3f237e1151536484fd5a8cef0adf3456 (diff)
Bug 18229: Allow signals
Our previous fix went too far towards lockdown; many things rely on signals to work, and there's no really good reason to restrict which signals can be emitted on the bus because we can't tie them to a particular sender.
Diffstat (limited to 'test/name-test/run-test-systemserver.sh')
-rwxr-xr-xtest/name-test/run-test-systemserver.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/test/name-test/run-test-systemserver.sh b/test/name-test/run-test-systemserver.sh
index fd82326c..34dd6487 100755
--- a/test/name-test/run-test-systemserver.sh
+++ b/test/name-test/run-test-systemserver.sh
@@ -39,3 +39,12 @@ if ! grep -q 'DBus.Error' echo-error-output.tmp; then
echo "====="
exit 1
fi
+
+echo "running test echo signal"
+if ! python ./test-wait-for-echo.py; then
+ echo "Failed test-wait-for-echo"
+ exit 1
+fi
+
+
+exit 0